解决bs4在Python 3.6下出现“ImportError: cannot import name 'HTMLParseError'”错误

    xiaoxiao2021-03-25  31

    mac系统下,通过python setup.py install安装bs4后,发现在python2中 from bs4 import BeautifulSoup,可以正常运行,而在python3中,执行from bs4 import BeautifulSoup,发现报错,如下:ImportError: cannot import name ‘HTMLParseError’,网上搜寻半天,找到原因:BeautifulSoup在4.4.0以前的版本不支持Python3.5以上版本,so,就又了以下两种方案:

    把BeautifulSoup升级到4.4.0版本以上把python版本降为3.4或2.7

    方案二呢,治标不治本,就不想用3.4 2.7呢,那么就按照方案一解决一下吧。

    使用pip命令升级BeautifulSoup版本sudo pip install –upgrade beautifulsoup4 执行完发现,还是不行,这是为什么呢,原来默认是使用的pip是指系统自带的python2中的升级命令,那么我们要升级python3的呢,很明显,使用pip3呀sudo pip3 install –upgrade beautifulsoup4try一下,perfect,搞定
    转载请注明原文地址: https://ju.6miu.com/read-50422.html

    最新回复(0)